Bug 204952 - extend csm refactoring to allow external providers to contribute
extend csm refactoring to allow external providers to contribute
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
All All
: P2 (vote)
: 7.1
Assigned To: Vladimir Voskresensky
issues@cnd
701patch-candidate
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-10 17:15 UTC by Vladimir Voskresensky
Modified: 2011-12-08 12:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Voskresensky 2011-11-10 17:15:56 UTC
Tuxedo has number of copies of the same file and would like to use csm refactoring capabilities to rename all of them at once.
The safest way is to extend current implementation of csm refactoring support and introduce provider which will be asked when refactoring is done. this provider can add extra objects into pool of refactored elements
Comment 1 Vladimir Voskresensky 2011-11-10 17:36:19 UTC
support for contribution of extra objects.
in b**e;
rev/a61dda3e5bfb
exported from b**e and pushed into cnd-main 
http://hg.netbeans.org/cnd-main/rev/750e1f564a47
Comment 2 Vladimir Kvashin 2011-11-10 17:42:01 UTC
Fix for isElementInOpenProject for tuxedo refactorings 

cnd-main:
http://hg.netbeans.org/cnd-main/rev/7cbd14e7a255
http://hg.netbeans.org/cnd-main/rev/e4278b70420c

elif_blacktie:
rev/cd077d2b7154
rev/e6a8661f47f2
Comment 3 Vladimir Kvashin 2011-11-11 11:12:59 UTC
Added  friends:
cnd-main:
http://hg.netbeans.org/cnd-main/rev/bdc5c58ba406
elif_blacktie:
rev/48f58f6b30ad
Comment 4 Quality Engineering 2011-11-11 15:36:47 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/750e1f564a47
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: changeset: 204983:019590a9e37d
branch: release701_fixes
tag: tip
user: Vladimir Voskresensky <vv159170@netbeans.org>
date: Thu Nov 10 21:21:11 2011 +0300
summary: allow to contribute extra objects for #204952 - extend csm refactoring to allow external providers to contribute
Comment 5 Vladimir Voskresensky 2011-11-14 17:01:21 UTC
support for extra rename references in file (i.e. string constants)
blacktie/rev/dfd9b06b00f6
transplanted
http://hg.netbeans.org/cnd-main/rev/59887e178297
Comment 6 Vladimir Voskresensky 2011-11-15 17:09:12 UTC
use spi for problems:
b*e/rev/16817fca13d0
then
16817fca13d0 transplanted to f13226b9a647
http://hg.netbeans.org/cnd-main/rev/f13226b9a647
Comment 7 Vladimir Voskresensky 2011-11-16 13:29:16 UTC
use name provider
b*e/rev/ad8ad60c9874
then
ad8ad60c9874 transplanted to beff0805ffa7
http://hg.netbeans.org/cnd-main/rev/beff0805ffa7
Comment 8 Vladimir Voskresensky 2011-11-16 15:24:37 UTC
fix regression in b*e/rev/444ef7ed43f6
then
http://hg.netbeans.org/cnd-main/rev/a24d21667696
Comment 9 Quality Engineering 2011-11-16 15:44:59 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/f13226b9a647
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: use spi for problem checks #204952 - extend csm refactoring to allow external providers to contribute
Comment 10 Vladimir Voskresensky 2011-11-16 17:04:04 UTC
blacktie/rev/8eefe2b40cd8
then transplanted
http://hg.netbeans.org/cnd-main/rev/b81f25889eee
Comment 11 Vladimir Kvashin 2011-11-16 18:04:00 UTC
blacktie/rev/6d976733aafc
then transplanted
http://hg.netbeans.org/cnd-main/rev/59ed8ddb0015
Comment 12 Quality Engineering 2011-11-17 07:28:41 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/beff0805ffa7
User: Vladimir Voskresensky <vv159170@netbeans.org>
Log: support for names provider #204952 - extend csm refactoring to allow external providers to contribute
Comment 13 Vladimir Kvashin 2011-11-28 16:05:51 UTC
elif_blacktie:
rev/5d1aa0d1951b
cnd-main:
http://hg.netbeans.org/cnd-main/rev/28afdbd8fc6a
Comment 14 Vladimir Kvashin 2011-11-29 16:30:38 UTC
All changes but last one already got into 7.1; we need the last one to be there as well. Vladimir, could you review please.
Comment 15 Vladimir Voskresensky 2011-11-30 09:35:05 UTC
fix is safe and correct.
Comment 16 Vladimir Kvashin 2011-11-30 12:02:51 UTC
Additional fix :
blacktie: rev/decd5d477a75
cnd-main: 
http://hg.netbeans.org/cnd-main/rev/bc56d46e4b17
Comment 17 Vladimir Voskresensky 2011-11-30 13:52:16 UTC
fix is safe and correct
Comment 19 Quality Engineering 2011-12-01 07:05:42 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/131d3c90fb6a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixing #204952 - extend csm refactoring to allow external providers to contribute: add "refactoring" parameter to CsmRefactoringNameProvider.getReplaceText, getReplaceDescription
(transplanted from 5d1aa0d1951b73f7fc2ef482d8ac79358302ea3f)
(transplanted from 28afdbd8fc6a3db493c43c041e03218430c986e9)
Comment 20 Quality Engineering 2011-12-01 12:08:45 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/28afdbd8fc6a
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixing #204952 - extend csm refactoring to allow external providers to contribute: add "refactoring" parameter to CsmRefactoringNameProvider.getReplaceText, getReplaceDescription
(transplanted from 5d1aa0d1951b73f7fc2ef482d8ac79358302ea3f)
Comment 21 Alexander Pepin 2011-12-01 13:43:05 UTC
currently can not be verified in 7.1 (no tuxedo tests)
Comment 22 Quality Engineering 2011-12-08 12:11:00 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/bc56d46e4b17
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: additional fix for #204952 - extend csm refactoring to allow external providers to contribute: pass hook via refactoring context
(transplanted from decd5d477a75afb28638536378a460d64a97c223)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo